# Generated by superflore -- DO NOT EDIT
#
# Copyright Open Source Robotics Foundation

inherit ros_distro_melodic
inherit ros_superflore_generated

DESCRIPTION = "This package implements driver for ATI force torque sensors up to firmware 3.x. Char and Net CAN devices are supported through cob_generic_can package. The code if based on cob_forcetorque package."
AUTHOR = "Denis Štogl (KIT, IAR-IPR) <denis.stogl@kit.edu>"
ROS_AUTHOR = "Denis Štogl"
HOMEPAGE = "http://ros.org/wiki/ati_force_torque"
SECTION = "devel"
# Original license in package.xml, joined with "&" when multiple license tags were used:
#         "LGPLv3"
LICENSE = "LGPL-3.0-only"
LIC_FILES_CHKSUM = "file://package.xml;beginline=7;endline=7;md5=b691248d2f70cdaeeaf13696ada5d47c"

ROS_CN = "ati_force_torque"
ROS_BPN = "ati_force_torque"

ROS_BUILD_DEPENDS = " \
    cmake-modules \
    cob-generic-can \
    filters \
    force-torque-sensor \
    gazebo-ros \
    geometry-msgs \
    hardware-interface \
    iirob-filters \
    libmodbus \
    message-generation \
    pluginlib \
    realtime-tools \
    roscpp \
    roslaunch \
    rosparam-handler \
    rospy \
    rostopic \
    std-msgs \
    std-srvs \
    teleop-twist-joy \
    tf2 \
    tf2-geometry-msgs \
    tf2-ros \
    trajectory-msgs \
    visualization-msgs \
"

ROS_BUILDTOOL_DEPENDS = " \
    catkin-native \
"

ROS_EXPORT_DEPENDS = " \
    cob-generic-can \
    filters \
    force-torque-sensor \
    gazebo-ros \
    geometry-msgs \
    hardware-interface \
    iirob-filters \
    libmodbus \
    pluginlib \
    realtime-tools \
    roscpp \
    roslaunch \
    rosparam-handler \
    rospy \
    rostopic \
    std-msgs \
    std-srvs \
    teleop-twist-joy \
    tf2 \
    tf2-geometry-msgs \
    tf2-ros \
    trajectory-msgs \
    visualization-msgs \
"

ROS_BUILDTOOL_EXPORT_DEPENDS = ""

ROS_EXEC_DEPENDS = " \
    cob-generic-can \
    filters \
    force-torque-sensor \
    gazebo-ros \
    geometry-msgs \
    hardware-interface \
    iirob-filters \
    libmodbus \
    message-runtime \
    pluginlib \
    realtime-tools \
    robot-state-publisher \
    roscpp \
    roslaunch \
    rosparam-handler \
    rospy \
    rostopic \
    std-msgs \
    std-srvs \
    teleop-twist-joy \
    tf2 \
    tf2-geometry-msgs \
    tf2-ros \
    trajectory-msgs \
    visualization-msgs \
    xacro \
"

# Currently informational only -- see http://www.ros.org/reps/rep-0149.html#dependency-tags.
ROS_TEST_DEPENDS = " \
    roslaunch \
"

DEPENDS = "${ROS_BUILD_DEPENDS} ${ROS_BUILDTOOL_DEPENDS}"
# Bitbake doesn't support the "export" concept, so build them as if we needed them to build this package (even though we actually
# don't) so that they're guaranteed to have been staged should this package appear in another's DEPENDS.
DEPENDS += "${ROS_EXPORT_DEPENDS} ${ROS_BUILDTOOL_EXPORT_DEPENDS}"

RDEPENDS:${PN} += "${ROS_EXEC_DEPENDS}"

# matches with: https://github.com/KITrobotics/ati_force_torque-release/archive/release/melodic/ati_force_torque/1.1.1-3.tar.gz
ROS_BRANCH ?= "branch=release/melodic/ati_force_torque"
SRC_URI = "git://github.com/KITrobotics/ati_force_torque-release;${ROS_BRANCH};protocol=https"
SRCREV = "e6467d709bf7d0465781a28e017e46bd96d0e449"
S = "${WORKDIR}/git"

ROS_BUILD_TYPE = "catkin"

inherit ros_${ROS_BUILD_TYPE}
